> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loopreturns.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Destinations

> Retrieve all destinations.

### Required API key scope
- Destinations (Read)




## OpenAPI

````yaml get /destinations
openapi: 3.1.0
info:
  title: Destinations API
  description: Title
  version: v1
servers:
  - url: https://api.loopreturns.com/api/v1
security: []
tags:
  - name: Destinations
paths:
  /destinations:
    get:
      tags:
        - Destinations
      summary: Get All Destinations
      description: |
        Retrieve all destinations.

        ### Required API key scope
        - Destinations (Read)
      operationId: getAllDestinations
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  destinations:
                    type: array
                    items:
                      $ref: '#/components/schemas/Destination'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
      security:
        - api_key: []
components:
  schemas:
    Destination:
      type: object
      description: >-
        A physical location such as a warehouse or donation center to which
        returns are shipped.
      properties:
        id:
          type: integer
          example: 1
          description: The destination's unique identifier.
        type:
          type: string
          enum:
            - warehouse
            - donate
          example: warehouse
          description: The type of location represented by the destination.
        name:
          type: string
          example: Example Destination
          description: The destination's name.
        enabled:
          type: boolean
          example: true
          description: Whether the destination is enabled as a return destination.
        provider_location_id:
          type:
            - integer
            - 'null'
          example: 42424242
          description: >
            The numeric location identifier from the commerce platform (for
            example Shopify) when a

            location is linked to this destination in Loop. `null` when no
            location is linked. The

            linked location's `source` field indicates which provider the ID
            belongs to.
        address:
          $ref: '#/components/schemas/Address'
    UnauthorizedResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: '401'
            http_code:
              type: string
              example: GEN-UNAUTHORIZED
            message:
              type: string
              example: Unauthorized.
    Address:
      type: object
      description: The destination's address.
      properties:
        address1:
          type: string
          example: 123 Main St
          description: The street address of the destination.
        address2:
          type:
            - string
            - 'null'
          example: Unit 456
          description: The secondary address details of the destination.
        city:
          type: string
          example: Columbus
        state:
          type:
            - string
            - 'null'
          example: Ohio
        zip:
          type:
            - string
            - 'null'
          example: '43210'
        country:
          type: string
          example: United States
        country_code:
          type: string
          example: US
  securitySchemes:
    api_key:
      type: apiKey
      name: X-Authorization
      in: header

````